%{?nodejs_find_provides_and_requires}
%global enable_tests 1

Name:       nodejs-time
Version:    0.11.1
Release:    1%{?dist}
Summary:    time.h bindings for Node.js
License:    MIT 
URL:        https://github.com/TooTallNate/node-time
Source:     https://github.com/TooTallNate/node-time/archive/%{version}.tar.gz

BuildArch:  noarch
BuildRequires: nodejs-devel
BuildRequires: node-gyp
BuildRequires:  nodejs-packaging
BuildRequires:  nodejs-debug
BuildRequires:  nodejs-bindings
BuildRequires:  npm(nan)

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Offers simple bindings for the C time.h APIs 

%prep
%setup -q -n node-time-%{version}
%nodejs_fixdep nan '~1.2'

%build
%nodejs_symlink_deps --build
export CXXFLAGS="%{optflags}"
node-gyp rebuild

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-time
cp -rp index.js package.json src/ %{buildroot}%{nodejs_sitelib}/nodejs-time

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec
%endif

%files
%doc History.md LICENSE README.md test/
%{nodejs_sitelib}/nodejs-time


%changelog
* Thu Feb 26 2015 Anish Patil <apatil@redhat.com> - 0.11.1-1
- Incorporated package review comments

* Tue Feb 3 2015 Anish Patil <apatil@redhat.com> - 0.11.0-1
- Initial package
